Bug 470144 - boot.iso + no network devices should exit the installer early
boot.iso + no network devices should exit the installer early
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 17:20 EST by David Cantrell
Modified: 2008-12-05 15:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-05 15:09:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2008-11-05 17:20:31 EST
See bug #469339 for the workaround in F-10.  With boot.iso on a system with no available network devices, we should terminate installation before allowing the user to go through the steps leading up to package selection.
Comment 1 Chris Lumens 2008-11-06 10:16:35 EST
It may not be very obvious how to discover that you're on a boot.iso before repo init, which happens after partitioning.  That's probably well past when you're looking to check.  Commit 7d5f82a950268a38d8af59921f4d9658e65af886 is probably a good starting point for some ideas.
Comment 2 Bug Zapper 2008-11-25 23:50:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.